# ezQuake Manual: Graphics Variables

- Crosshair Settings
- FPS and EyeCandy Settings
- Lighting
- OpenGL Rendering
- Particle Effects
- Screen & Powerup Blends
- Screen Settings
- Screenshot Settings
- Software Rendering
- Texture Settings
- Turbulency and Sky Settings
- Video Settings
- View Settings
- Weapon View Model Settings

## Crosshair Settings Variables

### cl_crossx

#### Description

This variable allows you to move the position of the crosshair on the X-axis by the specified amount of pixels.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_crossy

#### Description

This variable allows you to move the position of the crosshair on the Y-axis by the specified amount of pixels.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### crosshair

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

#### Values

value | description
0 | Crosshair off.
1 | Conchar crosshair (messagemode1 +).
2 | Quakeworld crosshair.
3 | A small cross crosshair.
4 | A dot crosshair.
5 | Star wars crosshair *gl only*.
6 | Happyface crosshair *gl only*.
7 | F22 simulator crosshair *gl only*.

### crosshairalpha

#### Description

This command regulates crosshair transparency, you can use any value from "0" to "1".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Opaque crosshair.
0 | Transparent crosshair.

### crosshaircolor

#### Description

This variable defines the color of the crosshair.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 255 255 255

Variable is float.

### crosshairimage

#### Description

To load the crosshair use "crosshairimage image_name" where 'image_name' is the name of the crosshair image you put in the above directory. Example, if I have c:\quake\ezQuake\crosshairs\cross.png I'd use "crosshairimage cross" to load it.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### crosshairsize

#### Description

Basically crosshairsize scales the size of the crosshair. Example: crosshairsize 0.5 halves the size and crosshair 2 doubles it.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## FPS and EyeCandy Settings Variables

### cl_deadbodyFilter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Don't filter dead bodies.
1 | Filter dead bodies.
2 | Filter dead bodies instant.

### cl_fakeshaft

#### Description

Smoothes out shaft movement, 0 means no smoothing at all, 1 - 100% smoothing; a value of about 0.5 is recommended for modem players.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_gibFilter

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Gibs are turned off.
0 | Gibs on.

### cl_hidenails

#### Description

Toggles nails visibility.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_hiderockets

#### Description

Toggles rockets visibility. Variable cl_r2g must be 0 to cl_hiderockets 1 work.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_maxfps

#### Description

This variable sets the maximum limit for frames-per-second.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_model_bobbing

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Rotating models bob up and down like in Quake3.
0 | Off.

### cl_muzzleflash

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | All turned off.
1 | All turned on.
2 | Own's flash off, all other on.

### cl_nolerp

#### Description

Objects interpolation.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | This causes the game to only display 1 frame per loading of positions, so it loads a positions in, displays a frame then loads positions, displays a frame, etc.
0 | Normally in a netgame, when you are playing Quake plays for a bit, then check for the other players TCP/IP packets. This causes smooth play with the occasional jerk as it loads positions.

### cl_physfps

#### Description

Sets amount of FPS used to communicate with server. This variable is used when +set cl_independentphysics 1 is set so your current amount of FPS is limited by cl_maxfps while this variable limits amout of FPS sent/received to/from server. When set to zero current cl_maxfps value is used. When cl_maxfps is set to zero too, client displays as much FPS as server and data rate allows.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_r2g

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Converts all rockets to grenades.
0 | Normal rockets models.

### cl_trueLightning

This variable has been updated

#### Description

Old name for the cl_fakeshaft cvar. Smoothes out shaft movement, 0 means no smoothing at all, 1 - 100% smoothing; a value of about 0.5 is recommended for modem players.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### gl_detail

#### Description

Turns on/off fine detailed textures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | On (Looks awesome, but you will take a giant FPS hit if you don't have a good video card).
0 | Off.

### r_chaticons_alpha

#### Description

Opacity of chaticons.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.8

Variable is float.
0 mean no icons at all, 0.5 mean half opacity and 1 is opaque.

### r_drawentities

#### Description

This variable can be used to disable that any object entities are drawn. This command is useful to map authors who wish to take a look at their map without drawing any objects such as lifts, buttons, platforms or items.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Display all entities.
0 | Display no entities.

### r_drawflame

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Display all flames.
0 | Display no flames.

### r_explosionLight

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | No explosion light.
0.5 | 50% explosion light.
1 | 100% explosion light.

### r_explosionLightColor

#### Description

Determines the colour of the explosion light.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Normal
1 | Red
2 | Blue
3 | Purple
4 | Green
5 | White
6 | Random

### r_explosionType

#### Description

0 = Fire + sparks 1 = Fire only 2 = Teleport 3 = Blood 4 = Big blood 5 = Double gunshot 6 = Blob effect 7 = Big explosion 8 = Fuel Rod Gun Explosion

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### r_flagColor

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Normal
1 | Red
2 | Blue
3 | Purple
4 | Green
5 | White

### r_grenadeTrail

#### Description

Customizable grenade trails 0 = No rocket trail 1 = Normal 2 = Grenade trail 3 = Alt normal trail 4 = Slight blood trail 5 = Big blood trail 6 = Tracer1 trail 7 = Tracer2 trail 8 = Plasma trail 9 = Lavaball trail 10 = Fuel Rod Gun trail 11 = Plasma Rocket Mk II trail

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

Works the same way as r_rockettrail, but for grenades.

### r_lerpframes

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable smoothing (watch people moving in mvd demos with cl_demospeed 0.1).
0 | Disable smoothing.

### r_lerpmuzzlehack

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Fix for interpolated muzzle flashes.
0 | No fix for interpolated muzzle flashes.

### r_lgbloodColor

#### Description

Determines the color of the blood (for standard particles). The QW-default value is 225.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 225

Variable is float.

### r_lightflicker

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable rocket/explosion/flag/powerup light flickering.
0 | Disable rocket/explosion/flag/powerup light flickering.

### r_powerupGlow

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Powerup glow is turned off on all players.
1 | Powerup glow on.
2 | Disables the powerup glow from yourself only.

### r_rocketLight

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Turn on dynamic lighting of rockets.
0 | Turn off dynamic lighting of rockets.

### r_rocketLightColor

#### Description

Determines the colour of the rocket light.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Normal
1 | Red
2 | Blue
3 | Purple
4 | Green
5 | White

### r_rocketTrail

#### Description

0 = No rocket trail 1 = Normal 2 = Grenade trail 3 = Alt normal trail 4 = Slight blood trail 5 = Big blood trail 6 = Tracer1 trail 7 = Tracer2 trail 8 = Plasma trail 9 = Lavaball trail 10 = Fuel Rod Gun trail 11 = Plasma Rocket Mk II trail

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

Note that if you use the rocket trails, you will have to change the explosion colours and things like that yourself. And you might want to try hiding the rockets with the new cl_hiderockets cvar for some trails are intended to be "beam" trails.

### r_shiftbeam

#### Description

Shift start of the shaft lights.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

Doesn't work with smackdown ruleset. Intended for movies.

### r_telesplash

#### Description

Toggles teleport splash effect.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable teleport splashes.
0 | Disable teleport splashes.

## Lighting Variables

### gl_colorlights

#### Description

Switch on/off colour of lighting from glowing items (quad, pent, flags in TF, etc)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Coloured lighting are on
0 | Coloured lighting are off

This implementation does not give a speed increase when gl_colorlights is set to 0, but it does not require a map restart for changes to take effect

### gl_coronas

#### Description

Adds coronas to some effects:Explosions - Basically just a bright flash since the default explosions didn't feel powerful enough. Muzzleflashes. Lightning. Fire - Torches have glows. Rocket Lights.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_coronas_tele

#### Description

Allows you to turn on/off blue light when spawning.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Spawn coronas on.
0 | Spawn coronas off.

### gl_fb_bmodels

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable "fullbright" colors on bsp models (World, health boxes, etc).
0 | Might give you a couple more fps.

### gl_fb_models

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable "fullbright" colors on alias models (grenades, player models, etc).
0 | Might also give you more fps.

### gl_flashblend

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Just draw a shaded ball of the color of the light.
0 | Use proper lighting for light sources (powerups etc.).

### gl_lighting_colour

#### Description

Alias models are effected by coloured lights around them.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_lighting_vertex

#### Description

Alias models no longer have the same level of light on all sides. This may not work correctly if coloured lighting is disabled.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_lightmode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

#### Values

value | description
0 | Makes the map lighter, but fulbrights don't look as good.
2 | Makes the map darker, but makes fullbrights stand out more (looks better).

### gl_loadlitfiles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Load lit files.
0 | Disable lit files.

### gl_shaftlight

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Light shaft.
0 | Dark shaft.

### r_ambient

#### Description

This variable controls the amount of ambient lighting on the map. When this variable is increased the map will become brighter and all walls and objects will be rendered in a lighter color. It was removed in QWCL and has been re-introduced in this client, however it can only be used when the server is running with cheats enabled (for example "qwsv -cheats"), because it could be used as a cheat by making it easier to see players in dark corners when no fullbright skins are used.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### r_dynamic

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Display dynamic lighting.
0 | Do not display dynamic lighting.

### r_fullbright

#### Description

This variable toggles the use of lights at full brightness on the map. This allows map authors to remove all of the lighting effects from the map.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | The renderer system will render all textures on the map at full brightness.
0 | Do not fullbright the map.

This variable was removed in QWCL and has been re-introduced in this client, however it can only be used when the server is running with cheats enabled (for example "qwsv -cheats"), because it could be used as a cheat by making it easier to see players in dark corners when no fullbright skins are used. You also mustn't use any ruleset and use "-noshadows" as command-line option.

### r_lightmap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable light sources on the map.
0 | Disable light sources on the map.

### r_shadows

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display shadows for entities.
0 | Do not display shadows for entities.

## OpenGL Rendering Variables

### gl_affinemodels

#### Description

Makes texture rendering quality better if set to 1. Note: 3dfx thing, not sure. //fuh check this.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_buildingsparks

#### Description

Buildings that are destroyed in TF will continue to throw sparks until they disapear.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_clear

#### Description

This variable will toggle the clearing of the screen between each frame. This can be helpful when specing a game and flying out of the map and during map development when the map maker must fly outside of the map to look has his map from the outside. Enabling this toggle will clear the areas which are not rendered outside of the map thus preventing the flickering effect when images repeat themselves over and over. However it causes problems when playing and going through the surfaces of a liquid (for example when diving into liquid), as you will see a red flash where the liquid texture would normally be repeated.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | On.
0 | Off.

### gl_clearColor

#### Description

Sets clear color (gl_clear 1)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0 0 0

Variable is float.

### gl_cull

#### Description

This variable toggles the use of internal OpenGL functions for removing covered objects. When this variable is set to "1" the game will depend on the OpenGL driver to use it's culling functions to remove certain objects from the calculations because they are covered up and would not be seen anyways. It is a good idea to leave this toggle enabled because it will increase rendering performance.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Use the OpenGL driver's culling functions.
0 | Do not use culling to increase rendering performance.

### gl_cutf_tesla_effect

#### Description

When a shambler is preparing to throw lightning, or a tesla coil (TF) is charging to fire, a particle effect is generated.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_detpacklights

#### Description

A little green light appears on the detpack, and when the timer reaches 5, the light changes to red. gl_coronas must be turned on for this to work.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_extratrails

#### Description

Misc trails that appear on objects that frequently move, such as TF grenades, caltrops, etc. Railguns in TF also leave behind unique trails.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_finish

#### Description

This variable toggles the calling of the gl_finish() OpenGL function after each rendered frame.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Call the gl_finish() function after each frame.
0 | Do not call the gl_finish() function after each frame.

### gl_inferno_speed

#### Description

Changes speed of gl_inferno missile trail.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1000

Variable is float.

### gl_inferno_trail

#### Description

Changes type of gl_inferno missile trail.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

### gl_lightning

#### Description

0 - Turns off coronas on lightning beams 1 - Turns on coronas on lightning beams.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_lightning_size

#### Description

Adjusts size of ligtning particle beam.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### gl_lightning_sparks

#### Description

Sparks fly from walls when hit by lightning gun.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

### gl_motiontrails

#### Description

When enabled, flags and keys leave behind a kind of after-image. Fiends also leave trails when they pounce.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_motiontrails_wtf

#### Description

Same as gl_motiontrails but works for all players and creatures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_nailtrail

#### Description

Adds a white trail onto nails as they fly around. This feature wont work on servers not running with sv_nailhack set to 1.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_nailtrail_plasma

#### Description

Adds plazma trail after nails.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_nailtrail_turb

#### Description

Switches between two type of bubbles nails leave behind in water.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_nocolors

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Don't use top/bottom colors.
0 | Normal.

### gl_smoothmodels

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Smooth the textures on models.
0 | Do not smooth the textures on models.

### gl_triplebuffer

#### Description

Triple buffering of video memory related stuff (Triplebuffer = good).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | On.
0 | Off.

### gl_ztrick

#### Description

This variables toggles the use of a trick to prevent the clearning of the z-buffer between frames. When this variable is set to "1", the game will not clear the z-buffer between frames. This will result in increased performance but might cause problems for some display hardware.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Use the z-buffer trick.
0 | Do not use the z-buffer trick.

### r_farclip

#### Description

Can be used to overcome vision being limited to 4096 units in GL clients (good for xpress2 etc).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4096

Variable is float.

## Particle Effects Variables

### gl_bounceparticles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Controls whether sparks rebound off walls.
0 | Disable.

Bouncing particles look nicer, but may eat up CPU.

### gl_clipparticles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | this will limit the number of blended particles close to you. This gives a big FPS increase when blended particles take up a big proportion of your screen and challenge your video card's fillrate.
0 | Disable.

### gl_particle_blobs

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_blood

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_blood_color

#### Description

Changes colour of blood.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_particle_blood_type

#### Description

Chooses among types of blood particles.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_particle_deatheffect

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_explosions

#### Description

Turns particle alternatives to each r_explosiontype on or off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_fasttrails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_fire

#### Description

Replaces torches with a particle flame effect. Includes people being burnt by the pyro in TF.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_gibtrails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_gunshots

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_gunshots_type

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_particle_muzzleflash

#### Description

Adds particle effect when firing a weapon.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_shockwaves

#### Description

0 - Turns off explosion shockwaves. 1 - Turns on explosion shockwaves.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_shockwaves_flat

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_sparks

#### Description

Trails appear more beam-like and don't look stupid when they bounce. This applies for wizards and knights only.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Particle sparks on
0 | Particle sparks off

### gl_particle_spikes

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_particle_spikes_type

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_particle_trail_detail

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_particle_trail_lenght

#### Description

X - Multiplies the length of the trail on particle trails.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_particle_trail_time

#### Description

X - Multiplies the length of time the particle bounces around for.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_particle_trail_type

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_particle_trail_width

#### Description

Changes width of trail particle e.g.: wall hitted by nail, explosion particles trail, etc.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### gl_part_blobs

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Determines particles used for blob explosions (EMP's)
0 | Disable.

### gl_part_blood

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Determines particles used for blood effects.
0 | Disable.

### gl_part_explosions

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Determines particles used for explosions.
0 | Disable.

### gl_part_gunshots

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Determines particles used for gunshots.
0 | Disable.

### gl_part_inferno

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Determines particles used for pyro flames in TF.
0 | Disable.

### gl_part_lavasplash

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Determines particles used for lava splashes (Spy Gren).
0 | Disable.

### gl_part_spikes

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Determines particles used for spikes (nailgun etc).
0 | Disable.

### gl_part_telesplash

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Determines particles used for teleport splashes.
0 | Disable.

### gl_part_trails

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Determines particles used for (rocket etc) trails.
0 | Disable.

### gl_solidparticles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Might make tele particles faster for 3dfx wicked gl drivers.
0 | Disable.

## Screen & Powerup Blends Variables

### cl_bonusflash

#### Description

Controls weapon and item pickup flash.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | On.
0 | Off.

### cl_demoplay_flash

#### Description

Reduces flash grenade effect when watching demos.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.
Values from 0 to 1 are possible. 0 - flash effects disabled, 1 - original.

### gl_cshiftpercent

#### Description

This variable sets the percentage value for palette shifting effects (damage flash, powerup blend).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 100

Variable is float.

### gl_hwblend

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Hardware palette changing.
0 | OpenGL routines.

Note: 1 can be slow on wintNT/2K.

### gl_polyblend

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable palette shifting when submerged or poweruped.
0 | Disable palette shifting when submerged or poweruped.

### v_contentblend

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.33

#### Values

value | description
1 | On (palette shifts when you're in liquid).
0 | Off (no palette shifting when you're in liquid).

### v_damagecshift

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.33

#### Values

value | description
0 | Damage filter on.
0.5 | 50% Damage filter on.
1 | Damage filter off.

### v_dlightcshift

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Turns onn light blebd when you're inside a light bubble (with gl_flashblend 1).
0 | Turns off light blend when you're inside a light bubble (with gl_flashblend 1).

### v_pentcshift

#### Description

Flash coefficient for when you take the pent.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

Variable is float.

### v_quadcshift

#### Description

Flash coefficient for when you take the quad.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

Variable is float.

### v_ringcshift

#### Description

Flash coefficient for when you take the ring.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

Variable is float.

### v_suitcshift

#### Description

Flash coefficient for when you take the suit.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.75

Variable is float.

## Screen Settings Variables

### cl_clock

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Off.
1 | Shows the time you spent on server (you'll also see it in the status bar when you press TAB).
2 | Shows the time of day.

### cl_clock_x

#### Description

Horizontal coordinates of the clock.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_clock_y

#### Description

Vertical coordinates of the clock. If < 0, the coordinates are calculated from bottom up, e.g. -1 means the screen line just above the scoreboard.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -1

Variable is float.

### cl_confirmquit

#### Description

When set to 1 you don't have to confirm the Quit screen with [Y] key.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Don't ask for confirmation on quit.
0 | Don't auto-confirm quit. Will display 'About' message box where you have to press [Y] to quit.

### cl_democlock

#### Description

A clock showing how much time has elapsed since the start of the demo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | On.
0 | Off.

### cl_democlock_x

#### Description

Determine where the democlock is positioned on your screen on the X co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_democlock_y

#### Description

Determine where the democlock is positioned on your screen on the Y co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -2

Variable is float.

### cl_gameclock

#### Description

Displays clock with seconds on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Turned OFF
1 | Counts up from the start of the match.
2 | Counts down from the start of the match.
3 | Same as 1 but only minutes:seconds (hours are not being displayed).
4 | Same as 2 but only minutes:seconds (hours are not being displayed).

Use cl_gameclock_x and cl_gameclock_y to place it anywhere on the screen.

### cl_gameclock_x

#### Description

Adjusts horizontal placement of the clock with seconds.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

See cl_gameclock for detailed info about the clock.

### cl_gameclock_y

#### Description

Adjusts vertical placement of the clock with seconds.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -3

Variable is float.

See cl_gameclock for detailed info about the clock.

### cl_hud

#### Description

Enables/Disables strings-hud. Strings hud is not mqwcl hud. It gives you ability put any string (or value of some variable) on your hud.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Strings hud enabled
0 | Strings hud disabled

Strings hud banned for ruleset smackdown

### cl_shownet

#### Description

This variable toggles the display of current net info.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Do not display any information.
1 | Print current incoming packet size in byte.
2 | Print information about the current in coming packet and it's size.

### cl_window_caption

#### Description

Choose different window captions. This text is visible when you play in windowed mode or when the client is minimized in the taskbar.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Format: ezQuake: address
1 | Format: <server state> - pl: <number of players> - <map>

The caption doesn't get refreshed regularly on some configurations. We recommend to use vid_flashonactivity 1 too.

### demo_playlist_loop

#### Description

will toggle playlist looping

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | will loop the demo playlist
0 | will not loop the demo playlist

### demo_playlist_track_name

#### Description

will set the default track name in the demo playlist for mvd demos example: jogi, will always track the player jogi or versions of it (jogihoogi, angryjogi, etc)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### draw_fps

#### Description

Substitutes substitues the "time" column with a "FPS" in scores showing how much FPS each player has.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_contrast

#### Description

Change contrast.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1.3

Variable is float.

### gl_gamma

#### Description

Change GL gamma.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### r_glstats

#### Description

When enabled, it creates a window in the top right of the screen showing the number of particles and etc. in use.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### r_netgraph

#### Description

Setting r_netgraph 1 is a diagnostic tool to help you tweak your rate. If you find that you suffer from short pauses in the game and you see red spikes in your netgraph, you should try setting the rate down a bit. The height of the pink lines towards the bottom is your latency on received packets. Red lines are lost packets. (bad) Yellow lines are from the rate command kicking in, it's data that wasn't sent to you because you didn't have the bandwidth for it. (OK) Blue lines are very bad, they invalid delta's, and are related to the U_REMOVE warnings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display the netgraph.
0 | Do not display the netgraph.

If during your play, you frequently see a string of messages with the term "U_REMOVE" in them, and your play seems to freeze for serveral seconds, use the console command cl_nodelta 1. This is a slightly less efficient way for QuakeWorld to work, but if your ISP is overloaded or has some configuration problems, it may not pass packets to QuakeWorld properly and cause difficulty.

### r_netstats

#### Description

Shows information about ping, packetloss, average packet size and incoming/outgoing traffic. Equivalent with 'net' HUD element.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Draw network statistics.
0 | Do not draw network statistics.

### r_tracker_align_right

#### Description

Controls the alignment of the extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Extra frag messages window will be shown on the right side of the screen.
0 | Extra frag messages window will be shown on the left side of the screen.

### r_tracker_flags

#### Description

Everytime you take, capture or drop a flag, the number of times is displayed on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 |
0 |

See r_tracker_*, cl_parseFrags and cl_loadFragFiles variables description for further info.

### r_tracker_frags

#### Description

Controls which frag messages will be shown in extra window, beside the standard onscreen chat (notify area).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | No extra frag messages shown
1 | Frag messages related to yourself will be shown in extra window
2 | All frag messages will be shown in extra window

Values 1 and 2 requires cl_loadfragfiles and cl_parsefrags to be set to 1.

### r_tracker_frame_color

#### Description

Controls the opacity and color of the background of the extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0 0 0 0

Variable is string.
<r g b><a> = red, green, blue and alpha values 0..255

See other r_tracker_* variables description for further info.

### r_tracker_messages

#### Description

Maximum number of custom frag messages to be displayed in extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 10

Variable is integer.

See other r_tracker_*, cl_parseFrags and cl_loadFragFiles variables description for further info.

### r_tracker_scale

#### Description

Allows you to change the font size in the extra frag messages.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

See other r_tracker_* variables.

### r_tracker_streaks

#### Description

Everytime a player makes a set number of consecutive kills, it will display a message showing they are on a streak, when the player is killed, it will display the name of the person who ended that streak.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### r_tracker_time

#### Description

Number of seconds the tracker information is drawn on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4

Variable is float.
Use positive numbers.

See other 'r_tracker_*' variables too.

### r_tracker_x

#### Description

Adjusts the position of extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is integer.
horizontal position

See other r_tracker_* variables description for more info.

### r_tracker_y

#### Description

Adjusts the position of extra frag messages window.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is integer.
vertical position

See other r_tracker_* variables description for more info.

### scr_autoid

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Hide players nick as spectator.
1 | Show players nick as spectator.
2 | Show health and armor over players' heads.
3 | 2 + Show armor name.
4 | 3 + Show if the user has RL (icon).
5 | 3 + Show the users best weapon (icon).

Only works when spectating.

### scr_centerMenu

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Centers the menu vertically (has no effect if you're playing in 320x200 mode, same applies to scr_centersbar).
0 | Off.

### scr_centershift

#### Description

Shifts all centerprints. If you are playing in 1280x1024 and want to watch some demo recorded in 320x200 with +wp_stats (ktpro) or sbar_on (teamfortress) you can shift that text down.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is integer.
Values from -999 to 999 are possible.

### scr_centertime

#### Description

This variable sets the amount of time in seconds that centerprinted messages stay on the screen.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

#### Values

value | description
0 | Do not display any centerprints.
1 | Display centerprints for 1 second.
2 | Display centerprints for 2 seconds.

### scr_coloredText

#### Description

Allows colored text in scoreboard, console and notify area. scr_coloredText

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Disable rainbow spectator text on the scoreboard.
1 | Enable rainbow spectator text on the scoreboard.
2 | Enable rainbow spectator text on the scoreboard plus parse colored console messages.

See Colored text manual page for more details.

### scr_menualpha

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.7

#### Values

value | description
1 | Black mainmenu.
0 | Transparent mainmenu.

### scr_scaleMenu

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Scales the frontend menu to match the resolution you are using.
0 | Disable scaling.

### scr_spectatorMessage

#### Description

Switch on/off text at bottom of screen when spectateing in free mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Text at bottom of screen will be displayed
0 | No text at bottom of screen will be displayed

/------------------------------\ |SPECTATOR MODE | |Press [ATTACK] for AutoCamera | \------------------------------/

### scr_tracking

#### Description

Changes the format of descriptive text displayed when you are tracking someone as spectator or watching a demo where you can see player's team and name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: Tracking %t %n, [JUMP] for next

Variable is string.
Pattern %n will be replaced with tracked player's name, %t will be replaced with player's team.

This variable affects scr_newhud 0. To change same text in new HUD (scr_newhud 1) use /tracking format (hud_tracking_format) settings.

### showdrop

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable output how dropped packets.
0 | Disable output how dropped packets.

### showpackets

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display information about all network packets.
0 | Do not display information about all network packets.

### showpause

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Display that the pause icon is displayed when the game is paused.
0 | Never display the pause icon.

### showram

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Display the ram icon when running out of memory
0 | Never display the ram icon

### showturtle

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display the turtle icon when your frame rate drops below 10.
0 | Never display the turtle icon.

### show_fps

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enables the display of the frames-per-second value.
0 | Disables the display of the frames-per-second value.

### show_fps_x

#### Description

Determine where the show_fps is positioned on your screen on the X co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -5

Variable is float.

### show_fps_y

#### Description

Determine where the show_fps is positioned on your screen on the Y co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -1

Variable is float.

### show_speed

#### Description

Displays a speed counter in the top right corner in the client's units (Horizontal velocity). (320 - Normal walking speed, 440 - Accel jump, 450 - Bunnyhopping)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Off.
1 | More accurate counter (Best used when LPB).
2 | Predicted speed (Less laggy when HPB).

### show_speed_x

#### Description

Determine where the show_speed is positioned on your screen on the X co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -1

Variable is float.

### show_speed_y

#### Description

Determine where the show_speed is positioned on your screen on the Y co-ordinate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### sw_contrast

#### Description

Change contrast.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### sw_gamma

#### Description

Change gamma.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

## Screenshot Settings Variables

### image_jpeg_quality_level

#### Description

You can set quality of jpeg screenshots with 'image_jpeg_quality_level x' where x is an integer from 0 to 100 inclusive. The larger x is, the better the quality of a jpeg screenshot, but also the bigger the size.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 75

Variable is float.

### image_png_compression_level

#### Description

You can set the amount of png compression with 'image_png_compression_level x' where x is an integer from 0 to 9 inclusive. 0 gives no compression and 9 gives maximum compression (and slowest writing time).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### scr_allowsnap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Allow screenshot uploads to be requested by server.
0 | Disable

### sshot_dir

#### Description

Change the screenshot directory.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### sshot_format

#### Description

tga = Tga screenshots (gl only) png = Png screenshots jpg = Jpg screenshots (gl only) pcx = Pcx screenshots (software only)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: png

Variable is float.

## Software Rendering Variables

### cl_multiview

#### Description

This client adds a multiview component to mvd playback. Upto four views can be displayed at once. Use this variable to turn multiview on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Multiview disabled
1 | Still no multiview but you can use cl_mvdisplayhud to show small complex hud.
2 | Two screens.
3 | Three screens.
4 | Four screens.

### cl_mvdisplayhud

#### Description

Toggle drawing of small compact HUD in each screen of Multiview control.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Don't draw mini-HUDs when in multiview.
1 | Draw original mini-HUDs when in multiview. (Only strings)
2 | Draw names only.
3 | Draw graphics. Icons for weapons, healthbar, armorbar.
4 | Same as 3 but with values showing the health/armor on the bars.
5 | Same as 4 but with a semitransparent black background.

Also see cl_mvhudpos and cl_mvhudvertical when this is set to a value greater than 1.

### cl_mvhudpos

#### Description

Sets the position of the multiview mini-HUDs.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: bottom center

#### Values

value | description
top left/tl |
top center/tc |
top right/tr |
bottom left/bl |
bottom center/bc |
bottom right/br |
gather/g | The mini-HUDs are all "gathered" towards the center of the screen. Top left view has the hud in the lower right corner; bottom left view has it in the upper left corner and so on.

This only applies to the mini-HUD when cl_mvdisplayhud has a value greater than 1. Otherwise old mini-HUD will be used (just strings).

### cl_mvhudvertical

#### Description

Set whetever the mini-HUDs in multiview mode will be drawn vertically or not.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Draw mini-HUDs vertically
0 | Draw mini-HUDs horizontally

This only applies if cl_mvdisplayhud has a value greater than 1, otherwise the old style is used for the mini-HUDs (only strings).

### cl_mvinset

#### Description

Turns inset screen with multitrack on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display 2nd POV inside main screen in the right top corner.
0 | Divide screen in 2/3/4 areas according to cl_multiview settings.

### cl_mvinsetcrosshair

#### Description

Turn crosshair in inset POV in multiview on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Display crosshair in inset POV.
0 | Do not display crosshair in inset POV.

### cl_mvinsethud

#### Description

Turns inset HUD for inset POV with multiview on/off.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Display inset HUD (usually nick of tracked player).
0 | Do not display inset HUD.

### r_aliastransadj

#### Description

Not much is known about this variable except for that increasing the value will cause the player models to be displayed smaller.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 100

Variable is float.

### r_aliastransbase

#### Description

Not much is known about this variable except for that increasing the value will cause the player models to be displayed smaller.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 200

Variable is float.

### r_clearcolor

#### Description

This variable can be used to change the color for the areas which are not part of the map when free floating outside of the map as spectator.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

### r_draworder

#### Description

Allows you to see through object - for development purposes only.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | First draws closest object, then the more distanced ones.
0 | Standard behaviour - first draws object far from you then closer to you.

Not allowed in multiplayer. See 'developer 1' too.

### r_dspeeds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display renderer speed statistics.
0 | Do not display renderer speed statistics.

### r_graphheight

#### Description

This variable used to set the number of lines displayed in the "r_timegraph" command.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 15

Variable is float.

### r_maxedges

#### Description

This variable sets the maximum number of plane surface edges to be rendered.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### r_maxsurfs

#### Description

This variable sets the maximum number of plane surfaces to be rendered.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### r_numedges

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Print information about the number of edges.
0 | Do not print information about the number of edges.

### r_numsurfs

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Print information about the number of surfaces.
0 | Do not print information about the number of surfaces.

### r_polymodelstats

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Print polygon model statistics.
0 | Do not print polygon model statistics.

### r_reportedgeout

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Report when running out of edges.
0 | Do not report when running out of edges.

### r_reportsurfout

#### Description

Toggle the display of how many surfaces where not displayed. This shouldn't happen during normal game play, only when in noclip mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### r_speeds

#### Description

Toggles the displaying of drawing time and stats of what is currently being viewed. Example: 32.7 ms 267/196/ 74 poly 3 surf 38.6 ms 267/196/ 74 poly 20 surf 60.4 ms 267/196/ 74 poly 18 surf 38.2 ms 267/196/ 73 poly 18 surf

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### r_timegraph

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display the timegraph.
0 | Do not display the timegraph.

### r_zgraph

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Display the z-graph.
0 | Do not display the z-graph.

## Texture Settings Variables

### d_mipcap

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | High texture detail.
1 | Medium texture detail.
2 | Low texture detail.
3 | Minimum texture detail.

### d_mipscale

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Full object detail
1 | Some object detail
2 | Medium object detail
3 | Low object detail

### d_subdiv16

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Perspective correction only every 16 pixels (faster, less accurate).
0 | Precise texture mapping (slower, more accurate).

### gl_anisotropy

#### Description

Anisotropic filtering. Basically improved texture quality.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is integer.
0 and 1 means turned off, 16 is usually the highest quality

Depends on your Graphics card capabilities and settings. Make sure you have enabled "Application controled" in your Graphics card settings for Anisotropic filtering option.

### gl_externalTextures_bmodels

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable
0 | Disable loading of external 24bit textures for

non-world .bsp models (any .bsp that isn't the actual map. Ex. health and ammo boxes).

### gl_externalTextures_world

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable.
0 | Disable loading of external 24bit textures for the

world .bsp model (i.e. the actual map).

### gl_ext_texture_compression

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable reduce memory held by textures on cards that support it (but
0 | Disable.

textures loaded slower and may have less quality).

### gl_lerpimages

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Better texture quality.
0 | Faster loading maps (not more fps).

### gl_lumaTextures

#### Description

Turns using of luma textures (named *_luma) ON when set to 1 and allowed by server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_max_size

#### Description

This variable determines the detail level for loaded textures. When set to "1", the objects and walls will be textured with 1x1 pixel textures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 4096

Variable is float.

### gl_miptexLevel

#### Description

It is essentially a GL 'equivalent' to d_mipcap in software. It has no affect when loading external 24bit textures.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_picmip

#### Description

This variable determines the the level of detail for textures used on walls. You can use this variable to lower the texture detail used on walls thus increasing the game's performance.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Original size.
1 | Half the dimensions.
2 | One-fourth the dimensions.

X = etc..

### gl_playermip

#### Description

Determines the level of detail of player models. This variable is useful if you are experience game slowdown during multiplayer games when there are lots of players on your screen by shrinking the texture detail, but this will make the player models more blurry.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Full detail.
1 | Medium detail.
2 | Low detail.

X = etc.

### gl_scaleModelTextures

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable
0 | Disable scale model textures.

### gl_scaleTurbTextures

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable.
0 | Disable gl_picmip/gl_max_size/gl_miptexLevel affect turb textures (lava, water, slime, teleports).

### gl_subdivide_size

#### Description

This variable sets the division value for the sky brushes. The higher the value the better the performance, but the smoothness of the sky suffers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 128

Variable is float.

### gl_textureless

#### Description

True textureless map textures, but preserving original colors. For custom colors - look for r_drawflat.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Textureless world
0 | Normal textures

The beauty of this is that u can toggle in realtime for any map. Same as with r_drawflat.

### gl_texturemode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: GL_LINEAR_MIPMAP_NEAREST

#### Values

value | description
GL_NEAREST | Point sampled
GL_NEAREST_MIPMAP_NEAREST |
GL_LINEAR |
GL_LINEAR_MIPMAP_NEAREST |
GL_LINEAR_MIPMAP_LINEAR | Trilinear interpolation

### r_drawflat

#### Description

Disables textures and fills them with a color (/r_wallcolor or /r_floorcolor) depending on the angle.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Walls are single-coloured
0 | Walls with standard textures

See r_wallcolor and r_floorcolor.

### r_floorcolor

#### Description

Changes color of floors and ceilings when r_drawflat is set to 1. Enter RGB value here, e.g. r_floorcolor "128 128 128" goes for gray floor.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 50 100 150

Variable is float.

### r_max_size_1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Off.
1 | Blend map textures.
2 | Blend map textures and bsp entities (ammo, health etc.)

### r_wallcolor

#### Description

Changes color of walls when r_drawflat is set to 1. Enter RGB value here, e.g. r_wallcolor "128 128 128" goes for gray walls.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 255 255 255

Variable is float.

## Turbulency and Sky Settings Variables

### gl_caustics

#### Description

Turns reflections on walls covered with liquids (water, lava, slime) when set to 1. Multi-texturing is required for this variable.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | On.
0 | Off.

### gl_fog

#### Description

Turns fog effect on and off (GL-Only). See /gl_fogstart /gl_fogend /gl_fogsky and /fog too.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_fogend

#### Description

Sets ending distance for rendering the fog. When fog is turned on, you cannot see behind this distance limit. See /gl_fog and /gl_fogstart too.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 800.0

Variable is float.

### gl_fogsky

#### Description

When turned on, fog effect affects sky too. We suggest turning this on otherwise fog looks ridiculous and unrealistic.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### gl_fogstart

#### Description

Sets starting distance for rendering the fog. The greater the number is, the better visibility in game is and the fog is "thinner".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 50.0

Variable is float.

### gl_surface_lava

#### Description

Adds boiling bubbles over the lava.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_surface_slime

#### Description

Adds bubbles and fumes of slime over the slime.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_turbalpha

#### Description

This variable determines the level of opacity for liquids, which requires the use of maps that were VISed with transparent water. When using maps that have not been VISed in such a way, you have to use "r_novis 1". If "r_novis" is set to "1" or when using a map VISed with transparent water and using setting "gl_turbalpha" to a value lower than "1", the player will be able to see objects and walls through liquids if the server allows that. This is a very nice feature to have in the game, for more information refer to the "r_novis" command. You can use any value between "0" and "1" for "gl_turbalpha", here are some Examples:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0.00 | Transparent.
0.25 | Low opacity.
0.50 | Medium opacity.
0.75 | High opacity.
1.00 | Solid.

### gl_turbfog

#### Description

Controls amount of fog when inside liquid (water, lava, slime). Density is controlled by choosing a value from 0 to 1 and from 1 to 2.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Fog in liquids is turned OFF
1 | Linear fog in liquids.
2 | Logarithmic fog in liquids.

Works only when multitexturing is enabled.

### gl_turbfogDensity

#### Description

Control of density of liquid (water, lava, slime...) fog

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.
[0...1] = [minimum...maximum] liquid fog density

### gl_turbripple

#### Description

Put your life vests on, waves are coming!

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

### gl_turb_trails

#### Description

This gives rockets/grenades/nails and other things an alternate underwater trail. Very nice to have nailgun fights underwater...

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_weather_rain

#### Description

Turns on rain out of doors, the density of rain is equal to whatever gl_weather_rain is set to. If you set gl_weather_rain_fast to 1, you can turn off all splashes, if you set it to 2, you will turn off only the water splashes. Works on all non-iD maps except death32c, dakyne and some others.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### gl_weather_rain_fast

#### Description

Adjusts speed of rain.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### r_fastsky

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable fastsky, helps fps a bit on maps with large sky areas.
0 | Disable fastsky.

### r_fastturb

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | All turbulences will be replaced by single-coloured surfaces.
0 | All turbulences will be displayed normally.

### r_lavacolor

#### Description

Changes colour of lava when r_fastturb set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 80 0 0

Variable is float.

### r_novis

#### Description

This variable toggles the use of VIS information from the map data. When this variable is set to "1" the game will calculate it's own VIS information on the fly instead of using the information stored in the map data, this will cause a severe performance penalty in the game. When "r_novis" is set to "1", the variable "gl_turbalpha" has a value lower than "1" and the server allows the client to display liquid transparently the player will be able to see through liquids. This is a nice effect to see but it is not recommended to keep this variable set to "1" because of the huge performance penalty. It is possible to enable transparent liquids and still keep this variable set to "0" (and thus not experience such a severe performance drop) by using maps that are VISed accordingly. You can visit the official Water VIS site at "http://www.sod.net/" and download the vispatch program along with the patch data files which you would use to update the VIS data for all of your game maps. There are also map packs available that contain VISed versions of the original ID maps.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Calculate VIS information for unVISed maps.
0 | Do not calculate VIS information for unVISed maps.

### r_skycolor

#### Description

Changes colour of sky when r_fastsky set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 40 80 150

Variable is float.

### r_skyname

#### Description

If you wan't to use skybox name snow type r_skyname snow, disable skybox with r_skyname ""

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: bloody-marvelous512

Variable is float.

### r_slimecolor

#### Description

Changes colour of slime when r_fastturb set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 10 60 10

Variable is float.

### r_telecolor

#### Description

Changes colour of teleport when r_fastturb set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 255 60 60

Variable is float.

### r_turbwarp

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable warping of surfaces.
0 | Disable warping of surfaces.

### r_watercolor

#### Description

Changes colour of lava when r_fastturb set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 50 80 120

Variable is float.

## Video Settings Variables

### block_switch

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Block task-switching
0 | Do not block task-switching

### vid_config_x

#### Description

This variable sets the width of the vid_mode 2 window, the minimum possible value is "640".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 800

Variable is float.

### vid_config_y

#### Description

This variable sets the width of the vid_mode 2 window, the minimum possible value is "400"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 600

Variable is float.

### vid_displayfrequency

#### Description

Sets horizontal frequency for your monitor (in hertz - Hz).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 75

Variable is float.

This variable can be set only using command line switch '+set cl_independentPhysics 1'.

### vid_flashonactivity

#### Description

Will cause ezQuake to flash ezQuake button in the taskbar, when it is not active and there is activity (chat text, high priority messages, disconnection) in console.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### vid_forcerestoregamma

#### Description

Force restore gamma after return to minimized application.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 |
0 |

### vid_fullscreen_mode

#### Description

This variable sets the full screen video mode that the game will switch to when the "vid_fullscreen" command is executed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### vid_hwgammacontrol

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Disables hardware gamma control.
1 | Enables hardware gamma control.
2 | Enables hwgamma in windowed mode.

### vid_mode

#### Description

This variables sets the next video mode to be used, any change of this variable will cause the video mode to be changed immediately.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### vid_nopageflip

#### Description

This variable toggles the use of page-flipping during supported video modes. By default the game will allow for page-flipping for video modes that support this feature. For example if a given VESA mode can support page flipping, then it defaults to page-flipped operation. A VESA mode can be forced to non-page-flipped operation by setting the "vid_nopageflip" variable to "1", then setting the mode (note that "vid_nopageflip" takes operation on the next, not the current video mode, and note that it then stays in effect permanently, even when the client is exited and restarted, unless it is manually set back to "0"). If there is not enough memory for two pages in a VESA mode, or if the adapter doesn't support page flipping, then the mode will automatically be non-page-flipped. Page-flipping works by drawing multiple virtual game screens at the same time in the video memory and then switching among them to display the current gamescreen. Page-flipped modes thus use less system memory than non-page-flipped modes, but require more video memory. When using page-flipping, visual quality may be higher, but performance of the game can change to better or worse, depending on the graphics adapter and other hardware (see the discussion of the Pentium Pro below, for a discussion of why page flipping can be faster but is sometimes much slower on that processor). However in most cases the performance (and thus frame rate) will be increased, but for people with hardware that has problems with page-flipping "vid_nopageflip 1" may help. The Pentium Pro is an example for such a hardware: it is an okay client platform (sniff!), but it has one weak spot, it is by default very slow on writes to video memory. This means that in default hardware configurations, you are usually much better off setting "vid_nopageflip" to "1" if you use VESA modes, so drawing is done to system memory instead of to video memory. Remember that you must set the mode after setting "vid_nopageflip" to "1" in order to get "vid_nopageflip" to take effect. "vid_nopageflip 1" can sometimes be faster on a Pentium too, but not by nearly as much in general, and it's often slower.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### vid_resetonswitch

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable (This is a workaround for the bug in some NVidia drivers, when you alt-tab out of
0 | Disable.

ezQuake and the screen gets garbaged. When enabled, the client will reset your Windows video mode every time you press alt-tab. Note that some NVidia drivers lock up your system completely when you alt-tab. vid_resetonswitch will not help in this case (try starting ezQuake with -dibonly).

### vid_stretch_by_2

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Enable (This variable toggles whether in "vid_mode 2" the picture should be rendered at
0 | Disable.

half-resolution in each direction and stretched up to the specified size.)

### vid_vsync

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Enable vsync.
0 | Disable vsync.

### vid_windowed_mode

#### Description

This variable sets the windowed video mode that the game will switch to when the "vid_windowed" command is executed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### vid_window_x

#### Description

This variable sets the x-axis location of the top left corner of the game window on the desktop.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### vid_window_y

#### Description

This variable sets the y-axis location of the top left corner of the game window on the desktop.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### _vid_default_mode

#### Description

This variable sets the default video mode that the client uses.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### _vid_default_mode_win

#### Description

This variable sets the default video mode that the client uses when windowed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

## View Settings Variables

### cl_rollalpha

#### Description

You can turn on the 'dodging' or 'rolling' effect for enemies but not get affected by it. When

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 20

Variable is integer.
Set 0 you can use high cl_rollangle and not 'roll'.

-ruleset smackdown disable it and set value to default

### cl_rollangle

#### Description

This variable controls how much your screen tilts when strafing.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_rollspeed

#### Description

This variable controls how quickly you and other players straighten out after strafing.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 200

Variable is float.

### default_fov

#### Description

Very useful in TeamFortress, and other mods that reset your fov when you spawn to 90. Basically, when the server sends you "fov 90", your fov is set to default_fov.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 90

Variable is float.

### fov

#### Description

This variable defines your field of vision, which determines how close your vision field is to the objects.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 90

Variable is float.

### viewsize

#### Description

This variable determines how large the viewable screen size is.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 100

#### Values

value | description
30 | Minimum screen size
100 | Normal screen size.
110 | Large screen size, without the weapons status bar.
120 | Maximum screen size, without any status bars.

...

### v_centermove

#### Description

This variable sets the distance that the player must move before the screen automatically centers itself when "lookspring" is set to "1". This variable is only useful to people who only play with the keyboard, have "lookspring" set to "1" and do not have "+klook" or "+mlook" enabled at that time. When the player moves the distance specified in this variable the screen will pop back to the center position.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.15

Variable is float.

### v_centerspeed

#### Description

This variable sets how quickly your view returns to the center after looking up or down and moving after that and "lookspring" is set to "1". This variable is only useful to people who only play with the keyboard, have "lookspring" set to "1" and do not have "+klook" or "+mlook" enabled at that time. When the player moves the distance specified in this variable the screen will pop back to the center position.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 500

Variable is float.

### v_gunkick

#### Description

Kickback effect when the weapon is fired.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### v_idlescale

#### Description

This variable controls the amount that the screen should sway automatically. When this variable is set to a value above "0" the screen will start swaying in all directions, similar as if the player was drunk of had a concussion. If you want to have some real fun, set this variable to a value of "100" and run around some maps. The larger the value for this variable the more the screen will sway from side to side.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Disable automatic swaying.

### v_ipitch_cycle

#### Description

This variable controls the speed at which the screen should sway up and down when "v_idlescale" is set to a value above "0".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### v_ipitch_level

#### Description

This variable controls the distance that the screen should sway up and down when "v_idlescale" is set to a value above "0".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.3

Variable is float.

### v_iroll_cycle

#### Description

This variable controls the speed at which the screen should roll clockwise and counter clockwise when "v_idlescale" is set to a value above "0".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.5

Variable is float.

### v_iroll_level

#### Description

This variable controls the distance the screen should roll clockwise and counter clockwise when "v_idlescale" is set to a value above "0".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.1

Variable is float.

### v_iyaw_cycle

#### Description

Sets how quickly you look left and right when v_idlescale is active.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

### v_iyaw_level

#### Description

Sets how far you look left and right when v_idlescale is active.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.3

Variable is float.

### v_kickpitch

#### Description

This variable controls the distance that the screen should move up or down when the player is shot. Most players set this variable to "0" in order to remove the screen tilting effect when they are injured by a shot. This allows them to keep a perfect aim while being fired upon.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.0

Variable is float.

### v_kickroll

#### Description

This variable controls the distance that the screen should roll clockwise or counter clockwise when the player is shot. Most players set this variable to "0" in order to remove the screen tilting effect when they are injured by a shot. This allows them to keep a perfect aim while being fired upon.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.0

Variable is float.

### v_kicktime

#### Description

This variable controls the amount of time that the screen should remain tilted after the player has been shot. Most players set this variable to "0" in order to remove the screen tilting effect when they are injured by a shot. This allows them to keep a perfect aim while being fired upon.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.0

Variable is float.

### v_viewheight

#### Description

New variable v_viewheight cam be used to get the effect of negative/zero values of cl_bobcycle etc in qw 2.33 . Negative values of v_viewheight = lower viewheight, positive = higher. Can't go below -7 or above 4 because that's the range you can get with qw 2.33 by exploiting the bob cycle bug. Using v_viewheight automatically turns off weapon model bobbing (cl_bob*).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## Weapon View Model Settings Variables

### cl_bob

#### Description

This variable controls how much your weapon moves up and down when walking.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.00

Variable is float.

### cl_bobcycle

#### Description

This variable determines how quickly your weapon moves up and down when walking.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.0

Variable is float.

### cl_bobup

#### Description

This variable controls how long your weapon stays up before cycling when walking.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0.0

Variable is float.

### cl_filterdrawviewmodel

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Prevents r_drawviewmodel from being changed by servers like Rocket Arena.
0 | Off.

### r_drawviewmodel

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Do not display the weapon model.
0.5 | 50% transparented.
1 | Display the weapon model.

Note: Transparency works in GL only.

### r_viewmodelSize

#### Description

This allows you to change the size of the viewmodel (the model of your active weapon displayed on the center of your screen) a little, useful if you prefer to use "r_drawviewmodel 1" and higher fov values (for demos for example). For "fov 110" you could try "r_viewmodelscale 0.8" or 0.85 for example.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs